BeagleWksParserInternal::State Struct Reference

Internal: the state of a BeagleWksParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
long | m_textBegin
| the text begin position
std::multimap< std::string, MWAWEntry > | m_typeEntryMap
| the type entry map
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a BeagleWksParser.

## Constructor & Destructor Documentation

## ◆ State()

BeagleWksParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int BeagleWksParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_footerHeight

int BeagleWksParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## ◆ m_headerHeight

int BeagleWksParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## ◆ m_numPages

int BeagleWksParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_textBegin

long BeagleWksParserInternal::State::m_textBegin

the text begin position

Referenced by State().

## ◆ m_typeEntryMap

std::multimap<std::string, MWAWEntry> BeagleWksParserInternal::State::m_typeEntryMap

the type entry map

Referenced by State().

The documentation for this struct was generated from the following file:

- BeagleWksParser.cxx